%define         _state          stable
%define         orgname         qyoto
%define         qtver           4.8.0

Summary:	C# Mono Qt4 bindings
Summary(pl.UTF-8):	Dowiązania C# Mono dla Qt4
Name:		kde4-qyoto
Version:	4.14.3
Release:	3
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	7807fa4e9f5c30a9bfa0319ecb923b21
Patch0:		qyoto-qdbus-non-generic.patch
Patch1:		mono4.patch
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	mono-csharp
BuildRequires:	phonon-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	qscintilla2-qt4-devel
BuildRequires:	kde4-smokeqt-devel >= %{version}
Obsoletes:	kde4-kdebindings-qyoto < 4.6.100
Obsoletes:	qyoto <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C# Mono Qt4 bindings.

%description -l pl.UTF-8
Dowiązania C# Mono dla Qt4.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdebindings-qyoto-devel < 4.7.0
Obsoletes:	qyoto-devel <= 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqyoto.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqyoto.so.?
%attr(755,root,root) %{_libdir}/libphonon-sharp.so
%attr(755,root,root) %{_libdir}/libqtscript-sharp.so
%attr(755,root,root) %{_libdir}/libqttest-sharp.so
%attr(755,root,root) %{_libdir}/libqtuitools-sharp.so
%attr(755,root,root) %{_libdir}/libqtwebkit-sharp.so
%attr(755,root,root) %{_libdir}/libqscintilla-sharp.so
%dir %{_prefix}/lib/mono/qyoto
%{_prefix}/lib/mono/qyoto/phonon.dll
%{_prefix}/lib/mono/qyoto/qscintilla.dll
%{_prefix}/lib/mono/qyoto/qt-dotnet.dll
%{_prefix}/lib/mono/qyoto/qtscript.dll
%{_prefix}/lib/mono/qyoto/qttest.dll
%{_prefix}/lib/mono/qyoto/qtuitools.dll
%{_prefix}/lib/mono/qyoto/qtwebkit.dll
%{_prefix}/lib/mono/gac/phonon
%{_prefix}/lib/mono/gac/qscintilla
%{_prefix}/lib/mono/gac/qt-dotnet
%{_prefix}/lib/mono/gac/qtscript
%{_prefix}/lib/mono/gac/qttest
%{_prefix}/lib/mono/gac/qtuitools
%{_prefix}/lib/mono/gac/qtwebkit

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/csrcc
%attr(755,root,root) %{_bindir}/uics
%attr(755,root,root) %{_libdir}/libqyoto.so
%{_includedir}/qyoto
%{_pkgconfigdir}/qyoto.pc
%{_pkgconfigdir}/qtscript-sharp.pc
%{_pkgconfigdir}/qttest-sharp.pc
%{_pkgconfigdir}/qtuitools-sharp.pc
%{_pkgconfigdir}/qtwebkit-sharp.pc
%{_datadir}/qyoto
%changelog
* Sat Feb 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-qyoto.git;a=log;h=master

* Sat Feb 27 2016 Jan Rękorajski <baggins@pld-linux.org> 2ba197d
- update cmake files for mono 4.x
- rel 3

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 3f1719f
- fix mono build error, https://bugs.kde.org/show_bug.cgi?id=339977
- rel 2

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 8419021
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 92a08cc
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c34f430
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8c5ca98
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> bd1326f
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 448d5a6
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ebfb69f
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> eee93ef
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 84c7420
- updated to 4.12.1 (by update-kde4.sh)

* Sun Jan 05 2014 Jan Rękorajski <baggins@pld-linux.org> a54cfab
- 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 6ed5cac
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 43f1f49
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> cf19a29
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> 8371d4f
- updated to 4.9.3.

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 724883f
- updated to 4.9.1.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 5edd8df
- updated to 4.9.0.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 81279a5
- up to 4.8.0; now as kde4-qyoto

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4071443
- up to 4.7.3

